Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation
Class DummyBean

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.DummyBean

All Implemented Interfaces:
  org.apache.myfaces.orchestra.conversation.ConversationBindingListener

    public class DummyBean

extends java.lang.Object
implements org.apache.myfaces.orchestra.conversation.ConversationBindingListener

Field Summary
`static org.apache.myfaces.orchestra.conversation.ConversationBindingListener` | `callback`

Constructor Summary
`DummyBean()`

Method Summary
`org.apache.myfaces.orchestra.conversation.Conversation` | `checkCurrentConversation()`
`java.lang.String` | `getData()`
`DummyBean` | `getRaw()`
`void` | `invalidateAndRestartSelf()`
`void` | `invalidateSelf()`
`void` | `setData(java.lang.String data)`
`void` | `touch()`
`void` | `valueBound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)`
`void` | `valueUnbound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### callback

    public static org.apache.myfaces.orchestra.conversation.ConversationBindingListener callback

Constructor Detail

### DummyBean

    public DummyBean()

Method Detail

### touch

    public void touch()

### getData

    public java.lang.String getData()

### setData

    public void setData(java.lang.String data)

### checkCurrentConversation

    public org.apache.myfaces.orchestra.conversation.Conversation checkCurrentConversation()

### invalidateSelf

    public void invalidateSelf()

### invalidateAndRestartSelf

    public void invalidateAndRestartSelf()

### getRaw

    public DummyBean getRaw()

### valueBound

    public void valueBound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)

  Specified by:
    `valueBound` in interface `org.apache.myfaces.orchestra.conversation.ConversationBindingListener`

### valueUnbound

    public void valueUnbound(org.apache.myfaces.orchestra.conversation.ConversationBindingEvent event)

  Specified by:
    `valueUnbound` in interface `org.apache.myfaces.orchestra.conversation.ConversationBindingListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.